Get end-of-week report email status
curl --request GET \
--url https://api.alpha-1edtech.ai/edubridge/reports/eow/{year}/{period}/{studentId}/email-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/edubridge/reports/eow/{year}/{period}/{studentId}/email-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/edubridge/reports/eow/{year}/{period}/{studentId}/email-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"studentId": "student-alpha-001",
"year": "2026",
"period": "23",
"reportExists": true,
"reportVersionId": "<string>",
"deliveries": [
{
"recipientEmail": "jsmith@example.com",
"status": "provider_accepted",
"provider": "<string>",
"providerMessageId": "<string>",
"errorCode": "<string>",
"retryAfterSeconds": 1,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"error": "<string>",
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Reports
Get end-of-week report email status
Returns report existence and the shared email-delivery ledger state for each current parent/guardian. Provider acceptance is not proof of inbox delivery.
GET
/
edubridge
/
reports
/
eow
/
{year}
/
{period}
/
{studentId}
/
email-status
Get end-of-week report email status
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Report year, e.g. 2026
End-of-week report week number, 1-53
OneRoster student sourcedId
Response
Report email status
Show child attributes
Show child attributes
⌘I